#include <bits/stdc++.h>
#include "code.h"

using namespace std;

vector<pair<int, int>> ZapisiTacke(int N){
    vector<pair<int, int>> tacke(N+1);
    for(int i = 5; i <= N; i++){
        tacke[i]={i, i};
    }
    tacke[1]={0, 0};
    tacke[2]={0, 2};
    tacke[3]={1, 1};
    tacke[4]={1, 0};

    return tacke;
}

vector<int> Resi(int N, int Q){
    vector<int> resenje(N+1);
    for(int i = 1; i <= N; i++) resenje[i]=i;

    if(Pitaj(1, 2, 3)==1){
        for(int i = 1; i <= N; i++) resenje[i]=N+1-i;
    }

    return resenje;
}